aboutsummaryrefslogtreecommitdiff
path: root/mesalib
diff options
context:
space:
mode:
authormarha <marha@users.sourceforge.net>2011-05-06 06:13:52 +0000
committermarha <marha@users.sourceforge.net>2011-05-06 06:13:52 +0000
commitc721bc9b176ec37d8b80a92c89840658f8f6c458 (patch)
treedc287f9829cd40b0a7e6643c120315224572b0fd /mesalib
parent4ac3e6a0be77b6fd4642a3c4df67590cb645ee7e (diff)
parent151019725213fc50a8aa4db8c4524387fea8f476 (diff)
downloadvcxsrv-c721bc9b176ec37d8b80a92c89840658f8f6c458.tar.gz
vcxsrv-c721bc9b176ec37d8b80a92c89840658f8f6c458.tar.bz2
vcxsrv-c721bc9b176ec37d8b80a92c89840658f8f6c458.zip
svn merge ^/branches/released .
Diffstat (limited to 'mesalib')
-rw-r--r--mesalib/bin/extract_git_sha114
-rw-r--r--mesalib/configure.ac4
2 files changed, 14 insertions, 4 deletions
diff --git a/mesalib/bin/extract_git_sha1 b/mesalib/bin/extract_git_sha1
index cf3006f8f..c2994ff09 100644
--- a/mesalib/bin/extract_git_sha1
+++ b/mesalib/bin/extract_git_sha1
@@ -1,10 +1,20 @@
#!/bin/sh
-touch src/mesa/main/git_sha1.h
+if [ ! -f src/mesa/main/git_sha1.h ]; then
+ touch src/mesa/main/git_sha1.h
+fi
+
+if [ ! -d .git ]; then
+ exit
+fi
+
if which git > /dev/null; then
# Extract the 7-digit "short" SHA1 for the current HEAD, convert
# it to a string, and wrap it in a #define. This is used in
# src/mesa/main/version.c to put the GIT SHA1 in the GL_VERSION string.
git log -n 1 --oneline |\
sed 's/^\([^ ]*\) .*/#define MESA_GIT_SHA1 "git-\1"/' \
- > src/mesa/main/git_sha1.h
+ > src/mesa/main/git_sha1.h.tmp
+ if ! cmp -s src/mesa/main/git_sha1.h.tmp src/mesa/main/git_sha1.h; then
+ mv src/mesa/main/git_sha1.h.tmp src/mesa/main/git_sha1.h
+ fi
fi
diff --git a/mesalib/configure.ac b/mesalib/configure.ac
index 9a4a9ad20..bfde4e870 100644
--- a/mesalib/configure.ac
+++ b/mesalib/configure.ac
@@ -21,8 +21,8 @@ dnl Versions for external dependencies
LIBDRM_REQUIRED=2.4.24
LIBDRM_RADEON_REQUIRED=2.4.24
LIBDRM_INTEL_REQUIRED=2.4.24
-DRI2PROTO_REQUIRED=2.4
-GLPROTO_REQUIRED=1.4.13
+DRI2PROTO_REQUIRED=2.1
+GLPROTO_REQUIRED=1.4.11
LIBDRM_XORG_REQUIRED=2.4.24
LIBKMS_XORG_REQUIRED=1.0.0